const navLinks = document.querySelector('.nav-links'),
	hamburgerMenu = document.querySelector('.hamburger-menu'),
	formSearch = document.querySelector('.search-bar'),
	newsLetter = document.querySelector('.fa-business-time'),
	extraContent = document.querySelector('.extramenu-content'),
	navScroll = document.querySelector('.scroll');

hamburgerMenu.addEventListener('click', () => {
	navLinks.classList.toggle('openmenu'), 
    formSearch.classList.toggle('formsearch'), 
    hamburgerMenu.classList.toggle('open-active');
});

newsLetter.addEventListener('mouseover', () => {
	extraContent.style.opacity = "1";
});

newsLetter.addEventListener('mouseout', () => {
	extraContent.style.opacity = "0";
});

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		navScroll.style.top = "-50%";
		navLinks.classList.remove('openmenu'), 
        formSearch.classList.remove('formsearch'),
        hamburgerMenu.classList.remove('open-active');
	} else {
		navScroll.style.top = "0";
	}
	lastScrollTop = scrollTop;
});